View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18407Bug reportsConditionspublic2022-11-15 15:24
ReporterMazi Assigned Togabrieljenik  
PriorityhighSeverityblock 
Status ready for code reviewResolutionopen 
Product Version3.28.x 
Summary18407: On-page conditions not working when pre-filling question with equation on the same page
Description

We are running a test survey at latest LS3.x which we imported from an older 2.06 system. At the old system that survey worked fine. At the latest 3.x version conditions on page do noit get triggered correctly.

You can test the old survey at https://ls206lts.mysurveyhosting.com/index.php/517552?newtest=Y. When selecting an answer at question T554, the follow up question T555 or T561 appears depending in your selection.
Testing the same survey (attached) at the latest 3.x version the follow up question does NOT show up. Only when clicking "Next" and the mandatory warnung was shown, the question is presented. Test link LS3: https://ls3temp.my-survey.host/index.php/517552?newtest=Y&lang=de

I see a JS error on page load at LS 3.x as well as an additional error when answering T554, see screenshot:
lsog.js row 200: SLOG TypeError: Cannot set properties of null (setting 'value')

There are two equation questions "equationage" and "equationregion". They are pre-filling the hidden questions T551 and T553 within the same group. This works perfectly fine at LS 2.x but seems to throw the JS errors at LS3.

Solution 1: When commenting out the equations, the JS errors on page disappear.
Solution 2: When not setting the questions T551 and T553 to "Always hide this question" but instead assigning CSS class "hidden" to them, there are no JS errors on page and the condition for question T554 works fine.

But approaches are no real solutioins at all since a survey copied from 2.0x to 3.x should work out of the box. The customer is planning to update from 2.x to 3.x but can't manually adjust dozens of surveys. So this should be fixed at the code

Steps To Reproduce

Steps to reproduce

Import the attached LSS file at LS 3.x and run the survey. Check conditions at question T554.

Expected result

Depending on selection at T554 the follow up question T555 or T561 should show up.

Actual result

JS error shows at concole

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.28.32+221011
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMariaDB 10.1.48
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2022-10-11 11:14

updater  

limesurvey_survey_517552.lss (46,646 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>184</DBVersion>
 <languages>
  <language>de</language>
 </languages>
 <answers>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[27277]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[männlich]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27277]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[weiblich]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[25 – 29]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[30 – 34]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[35 – 39]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[40 – 44]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[45 – 49]]></answer>
    <sortorder><![CDATA[7]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[6]]></code>
    <answer><![CDATA[50 – 54]]></answer>
    <sortorder><![CDATA[8]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[7]]></code>
    <answer><![CDATA[55 – 59]]></answer>
    <sortorder><![CDATA[9]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[8]]></code>
    <answer><![CDATA[60 – 64]]></answer>
    <sortorder><![CDATA[10]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[91]]></code>
    <answer><![CDATA[14 – 19 ]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <code><![CDATA[92]]></code>
    <answer><![CDATA[20 – 24 ]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[14 – 19]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[20 – 24]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[25 – 34]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[35 – 44]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[45 – 54]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <code><![CDATA[6]]></code>
    <answer><![CDATA[55 – 64]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27281]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Berlin]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27281]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Brandenburg]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Charlottenburg-Wilmersdorf]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[10]]></code>
    <answer><![CDATA[Steglitz-Zehlendorf]]></answer>
    <sortorder><![CDATA[10]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[11]]></code>
    <answer><![CDATA[Tempelhof-Schöneberg]]></answer>
    <sortorder><![CDATA[11]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[12]]></code>
    <answer><![CDATA[Treptow-Köpenick]]></answer>
    <sortorder><![CDATA[12]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Friedrichhain-Kreuzberg]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[Lichtenberg-Hohenschönhausen]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[Marzahn-Hellersdorf]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[Mitte]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[6]]></code>
    <answer><![CDATA[Neukölln]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[7]]></code>
    <answer><![CDATA[Pankow]]></answer>
    <sortorder><![CDATA[7]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[8]]></code>
    <answer><![CDATA[Reinickendorf]]></answer>
    <sortorder><![CDATA[8]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <code><![CDATA[9]]></code>
    <answer><![CDATA[Spandau]]></answer>
    <sortorder><![CDATA[9]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Bernau]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Königs Wusterhausen]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[Ludwigsfelde]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[Oranienburg]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[Potsdam]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[6]]></code>
    <answer><![CDATA[Teltow]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <code><![CDATA[7]]></code>
    <answer><![CDATA[Ich wohne in keiner der genannten Städte]]></answer>
    <sortorder><![CDATA[7]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Berlin NW (Reinickendorf, Spandau)]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Berlin NO (Pankow, Lichtenberg-Hohenschönhausen, Marzahn-Hellersdorf)]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[Berlin M (Mitte, Friedrichshain-Kreuzberg)]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[Berlin SW (Charlottenburg-Wilmersdorf, Steglitz-Zehlendorf, Tempelhof-Schöneberg)]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[Berlin SO (Neukölln, Treptow-Köpenick)]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <code><![CDATA[6]]></code>
    <answer><![CDATA[Brandenburg (Bernau, Königs Wusterhausen, Ludwigsfelde, Oranienburg, Potsdam, Teltow)]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27286]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Ja]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27286]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Nein]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <code><![CDATA[0]]></code>
    <answer><![CDATA[Norstat]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Gapfish]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Respondi]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[Cint]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[Talk Online]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[Mafo.de]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <code><![CDATA[1]]></code>
    <answer><![CDATA[Respondi]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <code><![CDATA[2]]></code>
    <answer><![CDATA[Norstat]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <code><![CDATA[3]]></code>
    <answer><![CDATA[Cint]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <code><![CDATA[4]]></code>
    <answer><![CDATA[Mafo.de]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <code><![CDATA[5]]></code>
    <answer><![CDATA[Gapfish]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <code><![CDATA[6]]></code>
    <answer><![CDATA[Talk Online]]></answer>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[1]]></assessment_value>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <conditions>
  <fields>
   <fieldname>cid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>cqid</fieldname>
   <fieldname>cfieldname</fieldname>
   <fieldname>method</fieldname>
   <fieldname>value</fieldname>
   <fieldname>scenario</fieldname>
  </fields>
  <rows>
   <row>
    <cid><![CDATA[729]]></cid>
    <qid><![CDATA[27282]]></qid>
    <cqid><![CDATA[27281]]></cqid>
    <cfieldname><![CDATA[517552X1188X27281]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[1]]></value>
    <scenario><![CDATA[1]]></scenario>
   </row>
   <row>
    <cid><![CDATA[730]]></cid>
    <qid><![CDATA[27283]]></qid>
    <cqid><![CDATA[27281]]></cqid>
    <cfieldname><![CDATA[517552X1188X27281]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[2]]></value>
    <scenario><![CDATA[1]]></scenario>
   </row>
  </rows>
 </conditions>
 <defaultvalues>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>sqid</fieldname>
   <fieldname>language</fieldname>
   <fieldname>specialtype</fieldname>
   <fieldname>defaultvalue</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[27294]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[0]]></sqid>
    <language><![CDATA[de]]></language>
    <specialtype/>
    <defaultvalue><![CDATA[{rand(1,3)}]]></defaultvalue>
   </row>
  </rows>
 </defaultvalues>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[1188]]></gid>
    <sid><![CDATA[517552]]></sid>
    <group_name><![CDATA[DEMO A]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[de]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <gid><![CDATA[1189]]></gid>
    <sid><![CDATA[517552]]></sid>
    <group_name><![CDATA[Ende]]></group_name>
    <group_order><![CDATA[1550]]></group_order>
    <description/>
    <language><![CDATA[de]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[27277]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T550]]></title>
    <question><![CDATA[Bitte wählen Sie Ihr Geschlecht]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[0]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27278]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T552]]></title>
    <question><![CDATA[Bitte wählen Sie Ihre Altersgruppe:]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27279]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[equationage]]></title>
    <question><![CDATA[{T551=if(T552 == '91', "1", if(T552 == '92', "2", if(T552 == '1', "3", if(T552 == '2', "3", if(T552 == '3', "4", if(T552 == '4', "4", if(T552 == '5', "5", if(T552 == '6', "5", if(T552 == '7', "6", if(T552 == '8', "6", ""))))))))))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T551]]></title>
    <question><![CDATA[Darf ich fragen, wie alt Sie sind?]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27281]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T554]]></title>
    <question><![CDATA[Wohnen Sie in...]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27282]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T555]]></title>
    <question><![CDATA[Bitte wählen Sie, aus welchem Stadtbezirk Sie kommen:]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[((517552X1188X27281.NAOK == "1"))]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27283]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T561]]></title>
    <question><![CDATA[Bitte wählen Sie, aus welchem Stadt Sie kommen:]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[((517552X1188X27281.NAOK == "2"))]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27284]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[equationregion]]></title>
    <question><![CDATA[{T553=if(T555 == '1', "4", if(T555 == '2', "3", if(T555 == '3', "2", if(T555 == '4', "2", if(T555 == '5', "3", if(T555 == '6', "5", if(T555 == '7', "2", if(T555 == '8', "1", if(T555 == '9', "1", if(T555 == '10', "4", if(T555 == '11', "4", if(T555 == '12', "5", if(T554 == '2', "6", "")))))))))))))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[7]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T553]]></title>
    <question><![CDATA[Bitte wählen Sie, in welchem Stadtbezirk Sie leben:]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[8]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27286]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[TCHECK]]></title>
    <question><![CDATA[Hören Sie wöchentlich mindestens 1 Stunde Radio?]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[9]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27287]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[DQ5]]></title>
    <question><![CDATA[User Id (bitte nicht ändern)]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[10]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27288]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[DQ6]]></title>
    <question><![CDATA[Project Id (bitte nicht ändern)]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[11]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27289]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[DQ7]]></title>
    <question><![CDATA[Panel Id (bitte nicht ändern)]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[12]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27290]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[equationpanel]]></title>
    <question><![CDATA[{panel=if(DQ7 == '0', "0", if(DQ7 == '1', "1", if(DQ7 == '2', "2", if(DQ7 == '3', "3", if(DQ7 == '4', "4", if(DQ7 == '5', "5", ""))))))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[13]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[panel]]></title>
    <question><![CDATA[To which panel do you belong to?]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[14]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27292]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[equationpanelbpr]]></title>
    <question><![CDATA[{T558=if(DQ7 == '0', "2", if(DQ7 == '1', "5", if(DQ7 == '2', "1", if(DQ7 == '3', "3", if(DQ7 == '4', "6", if(DQ7 == '5', "4", ""))))))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[15]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[T558]]></title>
    <question><![CDATA[PNL PROV]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[16]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27294]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1188]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[hiddenid]]></title>
    <question/>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[17]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[27295]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[517552]]></sid>
    <gid><![CDATA[1189]]></gid>
    <type><![CDATA[X]]></type>
    <title><![CDATA[overview]]></title>
    <question><![CDATA[T551: {T551.NAOK}<br />
T553: {T553.NAOK}<br />
T558: {T558.NAOK}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[de]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </questions>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[27279]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27280]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27284]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27285]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27287]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27288]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27289]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27290]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27291]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27292]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27293]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[27294]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[517552]]></sid>
    <admin><![CDATA[Dr. Marcel Minke]]></admin>
    <adminemail><![CDATA[marcel.minke@limesurvey.org]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[default]]></template>
    <language><![CDATA[de]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[2]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[marcel.minke@limesurvey.org]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[Y]]></shownoanswer>
    <showqnumcode><![CDATA[C]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[N]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
    <googleanalyticsstyle><![CDATA[0]]></googleanalyticsstyle>
    <googleanalyticsapikey/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[517552]]></surveyls_survey_id>
    <surveyls_language><![CDATA[de]]></surveyls_language>
    <surveyls_title><![CDATA[Prefill Test LS 2.06]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Einladung zu einer Umfrage]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Hiermit möchten wir Sie zu einer Umfrage einladen.<br />
<br />
Der Titel der Umfrage ist <br />
'{SURVEYNAME}'<br />
<br />
'{SURVEYDESCRIPTION}'<br />
<br />
Um an dieser Umfrage teilzunehmen, klicken Sie bitte auf den unten stehenden Link.<br />
<br />
Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Klicken Sie hier um die Umfrage zu starten:<br />
{SURVEYURL}<br />
<br />
Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTOUTURL}<br />
<br />
Wenn Sie geblockt sind, jedoch wieder teilnehmen und weitere Einladungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Erinnerung an die Teilnahme an einer Umfrage]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Vor kurzem haben wir Sie zu einer Umfrage eingeladen.<br />
<br />
Zu unserem Bedauern haben wir bemerkt, dass Sie die Umfrage noch nicht ausgefüllt haben. Wir möchten Ihnen mitteilen, dass die Umfrage noch aktiv ist und würden uns freuen, wenn Sie teilnehmen könnten.<br />
<br />
Der Titel der Umfrage ist <br />
'{SURVEYNAME}'<br />
<br />
'{SURVEYDESCRIPTION}'<br />
<br />
Um an dieser Umfrage teilzunehmen, klicken Sie bitte auf den unten stehenden Link.<br />
<br />
 Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Klicken Sie hier um die Umfrage zu starten:<br />
{SURVEYURL}<br />
<br />
Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Registrierungsbestätigung für Teilnahmeumfrage]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Sie (oder jemand, der Ihre E-Mail benutzt hat) haben sich für eine Umfrage mit dem Titel {SURVEYNAME} angemeldet.<br />
<br />
Um an dieser Umfrage teilzunehmen, klicken Sie bitte auf den folgenden Link.<br />
<br />
{SURVEYURL}<br />
<br />
Wenn Sie irgendwelche Fragen zu dieser Umfrage haben oder wenn Sie sich _nicht_ für diese Umfrage angemeldet haben und sie glauben, dass Ihnen diese E-Mail irrtümlicherweise zugeschickt worden ist, kontaktieren Sie bitte {ADMINNAME} unter {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Bestätigung für die Teilnahme an unserer Umfrage]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Vielen Dank für die Teilnahme an der Umfrage mit dem Titel {SURVEYNAME}. Ihre Antworten wurden bei uns gespeichert.<br />
<br />
Wenn Sie irgendwelche Fragen zu dieser E-Mail haben, kontaktieren Sie bitte {ADMINNAME} unter {ADMINEMAIL}.<br />
<br />
Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hallo,<br />
<br />
Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.<br />
<br />
Klicken Sie auf den folgenden Link um die Umfrage neu zu laden:<br />
{RELOADURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz anzusehen:<br />
{VIEWRESPONSEURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz zu bearbeiten:<br />
{EDITRESPONSEURL}<br />
<br />
Um die Statistik zu sehen, klicken Sie hier:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME} mit Ergebnissen]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hallo,<br />
<br />
Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.<br />
<br />
Klicken Sie auf den folgenden Link um die Umfrage neu zu laden:<br />
{RELOADURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz anzusehen:<br />
{VIEWRESPONSEURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz zu bearbeiten:<br />
{EDITRESPONSEURL}<br />
<br />
Um die Statistik zu sehen, klicken Sie hier:<br />
{STATISTICSURL}<br />
<br />
<br />
Die folgenden Antworten wurden vom Teilnehmer gegeben:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[1]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
</document>
limesurvey_survey_517552.lss (46,646 bytes)   
image.png (33,539 bytes)   
image.png (33,539 bytes)   
ollehar

ollehar

2022-10-11 11:17

administrator   ~72190

Same error in LS5?

Mazi

Mazi

2022-10-11 11:21

updater   ~72191

@ollehar, interestingly, I see the exact same JS error at the latest LS 5 but the condition at T554 still gets triggered correctly, for whatever reason.
Test survey LS 5: https://ls5dev.my-survey.host/index.php/517552?newtest=Y&amp;lang=de

ollehar

ollehar

2022-10-11 11:29

administrator   ~72192

We're stressed thin today, one tool has discovered some issues that are important to fix urgently.

DenisChenu

DenisChenu

2022-10-11 11:45

developer   ~72193

@Mazi : minimal lss for testing and fix ?

Mazi

Mazi

2022-10-11 11:53

updater   ~72195

Last edited: 2022-10-11 11:53

@ollehar, it is not super urgent, they can wait a little with switching to LS 3.x

@DenisChenu, the attached sample survey is already a really simplyfied one, nothing complex and sufficient for testing.

DenisChenu

DenisChenu

2022-10-11 13:15

developer   ~72196

Sorry … i don't see it …

DenisChenu

DenisChenu

2022-10-18 18:04

developer   ~72349

Last edited: 2022-10-18 18:05

https://github.com/LimeSurvey/LimeSurvey/pull/2676

Minimal fix … since ASSIGN in expression manager didn't work on same page.

Alt solution : return "" for ASSIGN part …

Mazi

Mazi

2022-11-14 09:35

updater   ~72713

@ollehar, who is currently doing the Mantis bug assignment, testing and quality control work for Limesurvey GmbH?

Or in other words: Who can test this so it gets added to the next release?

ollehar

ollehar

2022-11-14 11:38

administrator   ~72715

@Mazi we're still trying to fill that position.

Mazi

Mazi

2022-11-15 15:24

updater   ~72744

Just a short note that we have faced the same issue at another project using LS 5.x.

Once there is a new release I can test both, LS3.x and 5.x version.

Issue History

Date Modified Username Field Change
2022-10-11 11:14 Mazi New Issue
2022-10-11 11:14 Mazi File Added: limesurvey_survey_517552.lss
2022-10-11 11:14 Mazi File Added: image.png
2022-10-11 11:17 ollehar Note Added: 72190
2022-10-11 11:17 ollehar Bug heat 0 => 2
2022-10-11 11:21 Mazi Note Added: 72191
2022-10-11 11:21 Mazi Bug heat 2 => 4
2022-10-11 11:24 ollehar Priority none => high
2022-10-11 11:29 ollehar Note Added: 72192
2022-10-11 11:45 DenisChenu Note Added: 72193
2022-10-11 11:45 DenisChenu Bug heat 4 => 6
2022-10-11 11:53 Mazi Note Added: 72195
2022-10-11 11:53 Mazi Note Edited: 72195
2022-10-11 13:15 DenisChenu Note Added: 72196
2022-10-11 13:15 DenisChenu Assigned To => DenisChenu
2022-10-11 13:15 DenisChenu Status new => assigned
2022-10-18 18:04 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-10-18 18:04 DenisChenu Status assigned => ready for code review
2022-10-18 18:04 DenisChenu Note Added: 72349
2022-10-18 18:04 DenisChenu Note Edited: 72349
2022-10-18 18:05 DenisChenu Note Edited: 72349
2022-11-14 09:35 Mazi Note Added: 72713
2022-11-14 11:38 ollehar Note Added: 72715
2022-11-15 15:24 Mazi Note Added: 72744